Name: H5Sget_simple_extent_npoints
Signature:
  hssize_t `H5Sget_simple_extent_npoints`(hid_t `space_id`)
Purpose:
  Determines the number of elements in a dataspace.
Description:
  `H5Sget_simple_extent_npoints` determines the number of elements in a dataspace. For example, a simple 3-dimensional dataspace with dimensions 2, 3, and 4 would have 24 elements.
Parameters:

hid_t `space_id` | ID of the dataspace object to query

Returns:
  Returns the number of elements in the dataspace if successful; otherwise returns 0.
Fortran90 Interface: h5sget_simple_extent_npoints_f

      SUBROUTINE h5sget_simple_extent_npoints_f(space_id, npoints, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id    ! Dataspace identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: npoints  ! Number of elements in dataspace
        INTEGER, INTENT(OUT) :: hdferr            ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5sget_simple_extent_npoints_f